# network flavor profile

A network flavor profile allows administrators to create, delete, list, show and update network service profile, which details a framework to enable operators to configure and users to select from different abstract representations of a service implementation in the Networking service. It decouples the logical configuration from its instantiation enabling operators to create user options according to deployment needs.

Network v2

## network flavor profile create

Create new network flavor profile

    openstack network flavor profile create
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--description <description>]
        [--enable | --disable]
        [--driver DRIVER]
        [--metainfo METAINFO]

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--description <description>

  Description for the flavor profile

--enable

  Enable the flavor profile

--disable

  Disable the flavor profile

--driver <DRIVER>

  Python module path to driver. This becomes required if –metainfo is missing and vice-versa.

--metainfo <METAINFO>

  Metainfo for the flavor profile. This becomes required if –driver is missing and vice-versa.

## network flavor profile delete

Delete network flavor profile

    openstack network flavor profile delete
        <flavor-profile>
        [<flavor-profile> ...]

flavor-profile

  Flavor profile(s) to delete (ID only)

## network flavor profile list

List network flavor profile(s)

    openstack network flavor profile list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

## network flavor profile set

Set network flavor profile properties

    openstack network flavor profile set
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--description <description>]
        [--enable | --disable]
        [--driver DRIVER]
        [--metainfo METAINFO]
        <flavor-profile>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--description <description>

  Description for the flavor profile

--enable

  Enable the flavor profile

--disable

  Disable the flavor profile

--driver <DRIVER>

  Python module path to driver. This becomes required if –metainfo is missing and vice-versa.

--metainfo <METAINFO>

  Metainfo for the flavor profile. This becomes required if –driver is missing and vice-versa.

flavor-profile

  Flavor profile to update (ID only)

## network flavor profile show

Display network flavor profile details

    openstack network flavor profile show <flavor-profile>

flavor-profile

  Flavor profile to display (ID only)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.